# Extract Bibliographic Info From Alma

[Jupyter Notebook](Extract_Bibliographic_Info_From_Alma.ipynb) for extracting bibliographic information
for a given list of unique identifiers. In the default version this Notebook fetches
the records by Alma's internal unique ID, the MMS-ID. This is because this ID is
available for any bibliographic Alma record.

Some information is fetched from the parent record. This relation is queried by an
ID that is only used within the [Austrian Library Network](https://www.obvsg.at/),
the AC-number. The Notebook supplies some hints as on how to adapt the Notebook
for differing hierarchical linking.

## Setup

If you want to try this on your local machine, please take note that you will need to
do the following:

### Install requirements
After setting up and activating your
[virtual environment](https://docs.python.org/3/library/venv.html),
install the requirements for the project:
```
pip install -r requirements.txt
```

### Get Submodule
Get the [catalogue](https://labs.onb.ac.at/gitlab/labs-team/catalogue) module by executing
```
cd catalogue
git submodule init
git submodule update
```
